This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 1200 - aligned_allocator error with unordered_map
Summary: aligned_allocator error with unordered_map
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Core - general (show other bugs)
Version: 3.2
Hardware: x86 - 64-bit Linux
: Normal Compilation Problem
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-11 13:10 UTC by JayCee
Modified: 2019-12-04 15:40 UTC (History)
4 users (show)



Attachments

Description JayCee 2016-04-11 13:10:57 UTC
I recently switch from 3.2.0 to 3.2.8 and the compiler now reports an error when the aligned_allocator is used with std::unordered_map. The bug was already reported here:

https://listengine.tuxfamily.org/lists.tuxfamily.org/eigen/2015/05/msg00005.html

However, the working version of the aligned_allocator from the dev branch was probably not backported to the stable branch as suggested in the last post from the mailing list.

Is there a workaround?
Comment 1 Gael Guennebaud 2016-04-13 13:00:21 UTC
thanks for the reminder, done:
https://bitbucket.org/eigen/eigen/commits/0b05af80ffe7

The workaround is thus to use the 3.2 branch waiting for 3.2.9.
Comment 2 JayCee 2016-04-14 13:58:36 UTC
Thanks a lot! I patched the file manually for now. Seems to work without problems.
Comment 3 Nobody 2019-12-04 15:40:05 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1200.

Note You need to log in before you can comment on or make changes to this bug.